# Uses of Interface
javax.naming.ldap.LdapContext

Packages that use LdapContext
Package
Description
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.

## Uses of LdapContext in javax.naming.ldap

Classes in javax.naming.ldap that implement LdapContext
Modifier and Type
Class
Description
`class`
`InitialLdapContext`
This class is the starting context for performing LDAPv3-style extended operations and controls.
Methods in javax.naming.ldap that return LdapContext
Modifier and Type
Method
Description
`LdapContext`
InitialLdapContext.`newInstance​(Control[] reqCtls)`
`LdapContext`
LdapContext.`newInstance​(Control[] requestControls)`
Creates a new instance of this context initialized using request controls.